Users

The user object represents members created on the workspace. All users are assigned a rank such as owner, admin or normal.

The user object

{
  "id": "802b09f1-645b-493f-bae7-672a2b315204",
  "createdAt": "2025-03-07T13:22:07.552Z",
  "updatedAt": "2025-03-07T13:22:07.726Z",
  "activeAt": null,
  "firstName": "Test",
  "lastName": "Tester",
  "email": "test@test.com",
  "rank": 5000,
  "stats": {
    "likes": 0,
    "ideas": 3,
    "missions": 3,
    "assignments": 0
  },
  "avatar": {
    "url": {
      "thumbnail": "https://uploads.staging.ideanote.dev/static/icons/beam/v1/237.svg"
    }
  }
}

Fields

Field

Type

Description

id

string

The unique identifier of the user.

createdAt

ISODate

The date when the user was created.

updatedAt

ISODate

The date when the user was last updated.

activeAt

ISODate

The date when the user was last active.

firstName

string

The given name of the user.

lastName

string

The surname of the user.

email

string

The email of the user.

rank

number

The rank of the user.

stats.likes

number

The number of likes the user has given.

stats.ideas

number

The number of ideas the user has created.

stats.missions

number

The number of missions the user has created.

stats.assignments

number

The number of ideas the user is assigned to.

avatar

Media

The avatar of the user.

Rank

Description

1000

Guest

2000

Normal

3000

Admin

5000

Owner

List users

curl -X GET "https://api.ideanote.io/v1/users?fields=id" \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer <API Token>"
const result = await fetch("https://api.ideanote.io/v1/users?fields=id", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API Token>",
  }
});

const users = await result.json();
The above command returns JSON structured like this:
[
  {},
  {}
]

This endpoint lists users.

HTTP Request

GET /v1/users

Get user

curl -X GET "https://api.ideanote.io/v1/users/802b09f1-645b-493f-bae7-672a2b315204?fields=id" \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer <API Token>"
const result = await fetch("https://api.ideanote.io/v1/users/802b09f1-645b-493f-bae7-672a2b315204?fields=id", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API Token>",
  }
});

const user = await result.json();
The above command returns JSON structured like this:
{}

This endpoint retrieves a specific user.

HTTP Request

GET /v1/users/:user_id

Query Parameters

Parameter

Description

user_id

The ID of the user to retrieve

Create user

curl -X POST "https://api.ideanote.io/v1/users?fields=id" \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer <API Token>" \
     -d '{"email":"new_user@test.com","firstName":"New","lastName":"User"}'
const result = await fetch("https://api.ideanote.io/v1/users?fields=id", {
  method: "POST",
  body: {
    "email": "new_user@test.com",
    "firstName": "New",
    "lastName": "User"
  },
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API Token>",
  }
});

const users = await result.json();
The above command returns JSON structured like this:
{}

This endpoint creates a new user.

HTTP Request

POST /v1/users

Update user

curl -X PUT "https://api.ideanote.io/v1/users/802b09f1-645b-493f-bae7-672a2b315204?fields=id" \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer <API Token>" \
     -d '{"firstName":"Bob"}'
const result = await fetch("https://api.ideanote.io/v1/users/802b09f1-645b-493f-bae7-672a2b315204?fields=id", {
  method: "PUT",
  body: {
    "firstName": "Bob"
  },
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API Token>",
  }
});

const user = await result.json();
The above command returns JSON structured like this:
{}

This endpoint updates a specific user

HTTP Request

PUT /v1/users/:user_id

Query Parameters

Parameter

Description

user_id

The ID of the user to update

Delete user

curl -X DELETE "https://api.ideanote.io/v1/users/802b09f1-645b-493f-bae7-672a2b315204" \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer <API Token>"
const result = await fetch("https://api.ideanote.io/v1/users/802b09f1-645b-493f-bae7-672a2b315204", {
  method: "DELETE",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API Token>",
  }
});

This endpoint deletes a specific user

HTTP Request

DELETE /v1/users/:user_id

Query Parameters

Parameter

Description

user_id

The ID of the user to delete